# $Revision: 1.21 $, $Date: 2007-07-24 15:17:48 $
# TODO
# - unpackaged: /usr/share/phpMyBackupPro/images/favicon.png
Summary:	Web-based MySQL backup program, written in PHP
Summary(pl.UTF-8):	Oparty o PHP program do tworzenia kopii zapasowych baz MySQL
Name:		phpMyBackupPro
Version:	2.1
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	http://dl.sourceforge.net/phpmybackup/%{name}.v.%{version}.zip
# Source0-md5:	4f6371ec453d180585c657da9cf73c56
Source1:	%{name}.conf
Source2:	%{name}_lighttpd.conf
URL:		http://www.phpmybackuppro.net/
BuildRequires:	unzip
Requires:	php(mysql)
Requires:	php(pcre)
Requires:	webserver
Requires:	webserver(php)
Requires:       webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_mybackupdir	%{_datadir}/%{name}
%define		_webapps		/etc/webapps
%define		_webapp			%{name}
%define		_sysconfdir		%{_webapps}/%{_webapp}

%description
phpMyBackupPro is a web-based MySQL backup program, written in PHP.
You can schedule backups, email or upload them using FTP and backup
your data or structure or both. It comes with an easy to use
interface, an easy install and config and an online help.

%description -l pl.UTF-8
phpMyBackupPro to oparty o PHP program do tworzenia kopii zapasowych
baz MySQL. Posiada wiele możliwości takich jak: kolejkowanie,
wysyłanie za pomocą e-maila lub FTP, archiwizacja danych zawartych w
bazie, struktury bazy lub obydwu. Wyposażony został w bardzo
przejrzysty i łatwy w użyciu interfejs oraz intuicyjną instalację i
konfigurację programu.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mybackupdir} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/etc/httpd}

cp -af %{name}/* $RPM_BUILD_ROOT%{_mybackupdir}
rm -f $RPM_BUILD_ROOT%{_mybackupdir}/config.php $RPM_BUILD_ROOT%{_mybackupdir}/global_conf.php

install %{name}/global_conf.php %{name}/config.php $RPM_BUILD_ROOT%{_sysconfdir}
ln -sf %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_mybackupdir}/config.php
ln -sf %{_sysconfdir}/global_conf.php $RPM_BUILD_ROOT%{_mybackupdir}/global_conf.php

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- %{name} < 6.5-2.1
# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

# migrate from apache-config macros
if [ -f /etc/%{name}/apache.conf.rpmsave ]; then
	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
		cp -f /etc/%{name}/apache.conf.rpmsave %{_sysconfdir}/httpd.conf
	fi
	rm -f /etc/%{name}/apache.conf.rpmsave
fi

rm -f /etc/httpd/httpd.conf/99_%{name}.conf
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc documentation/{GNU\ GPL.txt,INSTALL.txt,HISTORY.txt,SEVERAL_SERVERS.txt,SHELL_MODE.txt,UPGRADE.txt}
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_mybackupdir}
%{_mybackupdir}/export
%{_mybackupdir}/language
%{_mybackupdir}/*.php
%{_mybackupdir}/stylesheets
%{_mybackupdir}/javascripts.js
%dir %{_mybackupdir}/images
%{_mybackupdir}/images/*.gif
%{_mybackupdir}/images/logo.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phpMyBackupPro.spec,v $
Revision 1.21  2007-07-24 15:17:48  qboosh
- tab

Revision 1.20  2007/07/24 14:24:22  speedo
- updated to 2.1

Revision 1.19  2007/02/22 14:50:11  glen
- fix %files for webapps

Revision 1.18  2007/02/22 14:46:42  glen
- tabs, drop non-english comments

Revision 1.17  2007/02/22 13:36:44  speedo
- updated to 2.0b
- added webapps stuff
- added lighttpd config
- added trigers

Revision 1.16  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.14  2006/11/26 16:14:48  glen
- php virtual extension deps

Revision 1.13  2005/04/13 17:07:07  paszczus
- updated to 1.5
- updated URL
- added files
- release 1

Revision 1.12  2005/01/04 08:53:36  qboosh
- missing dir

Revision 1.11  2005/01/01 16:26:01  darekr
- updated to 1.2, removed Source0-size
- fixed %files

Revision 1.10  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.9  2004/10/10 18:22:01  paladine
- updated to 1.1

Revision 1.8  2004/10/09 08:45:29  dzeus
- typo, cosmetics, BR: unzip

Revision 1.7  2004/10/07 13:11:10  qboosh
- typo

Revision 1.6  2004/10/06 13:56:00  qboosh
- spelling, cleanups, R: php

Revision 1.5  2004/09/27 20:29:41  blues
- fixed pre/post

Revision 1.4  2004/09/27 19:54:03  speedo
- config files moved to _sysconfdir
- datafiles moved to _datadir

Revision 1.3  2004/09/21 16:25:40  ankry
- cosmetics

Revision 1.2  2004/09/21 14:04:32  paszczus
- corrected sf URL

Revision 1.1  2004/09/21 13:59:05  paszczus
- initial spec by speedo (at) linux (dot) pl
